.mobile-app {
  background-color: #3c3c3c;
  padding: 86px 0;

  @media (max-width: 1200px) {
    padding: 52px 0 122px 0;
  }
  @media (max-width: 768px) {
    padding: 52px 0 85px;
  }
}
.project {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  gap: 40px;

  @media (max-width: 1200px) {
    & a:last-child {
      display: none;
    }
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 102px;
    grid-column-gap: 0;
  }
  @media (max-width: 768px) {
    & a:nth-child(2) {
      display: none;
    }
    grid-template-columns: 1fr;
    grid-row-gap: 102px;
    grid-column-gap: 0;
  }
}
.project-card {
  display: block;
  background-color: #fffef2;
  padding: 20px;
  border-radius: 24px;
  text-decoration: none;
  position: relative;

  &::after {
    content: "";
    display: block;
    position: absolute;
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background-color: $white-color;
    background-image: url(../images/fi-rr-arrow-up.svg);
    background-repeat: no-repeat;
    background-position: top 11px right 11px;
    right: 40px;
    top: 40px;
  }

  &__image {
    display: block;
    width: 100%;
    border-radius: 13px;
    height: 338px;
    object-fit: cover;
  }
  &__title {
    font-family: $font-dynapuff;
    color: #565656;
    font-size: 24px;
    font-weight: 700;
    margin: 20px 0px 22px;
  }
  &__text {
    @include black-text-normal;
  }

  @media (max-width: 1200px) {
    &__image {
      height: 448px;
    }

    &__second {
      margin-right: 20px;
    }
    &__third {
      margin-left: 20px;
    }
  }
  @media (max-width: 768px) {
    padding: 12px;
    &__image {
      height: 363px;
    }
    &__third {
      margin-left: 0;
    }
    &__text {
      font-size: 15px;
    }
    &::after {
      right: 37px;
      top: 43px;
    }
  }
}
.project-card__big {
  grid-column: 1 / span 3;
  height: 680px;
  padding: 24px 20px;

  &--title {
    font-family: $font-dynapuff;
    color: #565656;
    font-weight: 600;
    font-size: 40px;
    margin: 20px 0px 22px;
  }
  &--text {
    @include black-text-bold;
    width: 580px;
  }
  @media (max-width: 768px) {
    height: 456px;
    padding: 16px;

    &--title {
      font-size: 32px;
    }
    &--text {
      font-size: 15px;
      width: 311px;
    }
  }
}

@media (min-width: 1201px) {
  .project__image--medium,
  .project__image--small {
    display: none;
  }
  .project__image--big {
    height: 498px;
  }
}
@media (min-width: 769px) and (max-width: 1200px) {
  .project__image--small,
  .project__image--big {
    display: none;
  }
  .project__image--medium {
    height: 498px;
  }
}
@media (max-width: 768px) {
  .project__image--medium,
  .project__image--big {
    display: none;
  }
  .project__image--small {
    height: 278px;
  }
}
